Browse code

cmake C project

Nat! authored on 03/07/2017 11:40:52
Showing 6 changed files
... ...
@@ -1,6 +1,6 @@
1 1
 cmake_minimum_required (VERSION 3.0)
2 2
 
3
-project (mulle-concurrent)
3
+project(mulle-concurrent C)
4 4
 
5 5
 cmake_policy(SET CMP0054 NEW)
6 6
 
... ...
@@ -1,3 +1,7 @@
1
+### 1.3.5
2
+
3
+* make it a cmake "C" project
4
+
1 5
 ### 1.3.3
2 6
 
3 7
 * modernize
... ...
@@ -1,6 +1,6 @@
1 1
 #! /usr/bin/env bash
2 2
 #
3
-#   Copyright (c) 2017 Nat! - Mulle kybernetiK
3
+#   Copyright (c) 2017 Nat! - Codeon GmbH
4 4
 #   All rights reserved.
5 5
 #
6 6
 #   Redistribution and use in source and binary forms, with or without
... ...
@@ -37,34 +37,8 @@
37 37
 #   ./bin/release.sh -v -n --publisher mulle-nat --publisher-tap mulle-kybernetik/software/
38 38
 #
39 39
 
40
-EXE_DIR="`dirname -- $0`"
41
-
42
-# if there is a release-info.sh file read it
43
-if [ -f "${EXE_DIR}/release-info.sh" ]
44
-then
45
-   DO_GIT_RELEASE="YES"
46
-   . "${EXE_DIR}/release-info.sh"
47
-fi
48
-
49
-# if there is a formula-info.sh file read it
50
-if [ -f "${EXE_DIR}/formula-info.sh" ]
51
-then
52
-   DO_GENERATE_FORMULA="YES"
53
-   . "${EXE_DIR}/formula-info.sh"
54
-fi
55
-
56
-#
57
-# If there is a - possibly .gitignored - tap-info.sh file read it.
58
-# It could store PUBLISHER and PUBLISHER_TAP
59
-#
60
-if [ -f "${EXE_DIR}/tap-info.sh" ]
61
-then
62
-   . "${EXE_DIR}/tap-info.sh"
63
-fi
64
-
65
-
66 40
 #######
67
-# If you are using mulle-build, you don't hafta change anything after this
41
+# If you are using mulle-build, you don't hafta change anything
68 42
 #######
69 43
 
70 44
 #
... ...
@@ -99,18 +73,15 @@ generate_brew_formula()
99 99
    _generate_brew_formula "$@"
100 100
 }
101 101
 
102
+
102 103
 #######
103 104
 # Ideally changes to the following values are done with the command line
104 105
 # which makes it easier for forks.
105 106
 #######
106 107
 
107 108
 MULLE_BOOTSTRAP_FAIL_PREFIX="`basename -- $0`"
108
-MULLE_HOMEBREW_VERSION="4.1.0"
109
+MULLE_HOMEBREW_VERSION="5.1.0"
109 110
 
110
-#
111
-# prefer local mulle-homebrew if available
112
-# Do not embed it anymore!
113
-#
114 111
 if [ -z "`command -v mulle-homebrew-env`" ]
115 112
 then
116 113
    cat <<EOF >&2
... ...
@@ -124,6 +95,7 @@ fi
124 124
 INSTALLED_MULLE_HOMEBREW_VERSION="`mulle-homebrew-env version`" || exit 1
125 125
 LIBEXEC_DIR="`mulle-homebrew-env libexec-path`" || exit 1
126 126
 
127
+. "${LIBEXEC_DIR}/mulle-files.sh"       || exit 1
127 128
 . "${LIBEXEC_DIR}/mulle-homebrew.sh"    || exit 1
128 129
 . "${LIBEXEC_DIR}/mulle-git.sh"         || exit 1
129 130
 . "${LIBEXEC_DIR}/mulle-version.sh"     || exit 1
... ...
@@ -134,7 +106,7 @@ main()
134 134
 {
135 135
    if [ "${DO_GIT_RELEASE}" != "YES" -a "${DO_GENERATE_FORMULA}" != "YES" ]
136 136
    then
137
-      fail "Nothing to do. release-info.sh and formula-info.sh are missing"
137
+      fail "Nothing to do! bin/version-info.sh and bin/formula-info.sh are missing"
138 138
    fi
139 139
 
140 140
    if [ "${DO_GIT_RELEASE}" = "YES" ]
... ...
@@ -143,30 +115,32 @@ main()
143 143
       git_main "${BRANCH}" "${ORIGIN}" "${TAG}" "${GITHUB}" || exit 1
144 144
    fi
145 145
 
146
-   if [ "${DO_GENERATE_FORMULA}" = "YES" ]
146
+   if [ "${DO_GENERATE_FORMULA}" != "YES" ]
147 147
    then
148
-      if [ -z "${PUBLISHER}" ]
149
-      then
150
-         fail "You need to specify a publisher with --publisher (hint: https://github.com/<publisher>)"
151
-      fi
152
-
153
-      if [ -z "${PUBLISHER_TAP}" ]
154
-      then
155
-         fail "You need to specify a publisher tap with --tap (hint: <mulle-kybernetik/software>)"
156
-      fi
157
-
158
-      # generate the formula and push it
159
-      homebrew_main "${PROJECT}" \
160
-                    "${NAME}" \
161
-                    "${VERSION}" \
162
-                    "${DEPENDENCIES}" \
163
-                    "${BUILD_DEPENDENCIES}" \
164
-                    "${HOMEPAGE_URL}" \
165
-                    "${DESC}" \
166
-                    "${ARCHIVE_URL}" \
167
-                    "${HOMEBREW_TAP}" \
168
-                    "${RBFILE}"
148
+       return
169 149
    fi
150
+
151
+   if [ -z "${PUBLISHER}" ]
152
+   then
153
+      fail "You need to specify a publisher with --publisher (hint: https://github.com/<publisher>)"
154
+   fi
155
+
156
+   if [ -z "${PUBLISHER_TAP}" ]
157
+   then
158
+      fail "You need to specify a publisher tap with --tap (hint: <mulle-kybernetik/software>)"
159
+   fi
160
+
161
+   # generate the formula and push it
162
+   homebrew_main "${PROJECT}" \
163
+                 "${NAME}" \
164
+                 "${VERSION}" \
165
+                 "${DEPENDENCIES}" \
166
+                 "${BUILD_DEPENDENCIES}" \
167
+                 "${HOMEPAGE_URL}" \
168
+                 "${DESC}" \
169
+                 "${ARCHIVE_URL}" \
170
+                 "${HOMEBREW_TAP}" \
171
+                 "${RBFILE}"
170 172
 }
171 173
 
172 174
 main "$@"
173 175
similarity index 100%
174 176
rename from bin/release-info.sh
175 177
rename to bin/version-info.sh
... ...
@@ -506,7 +506,7 @@
506 506
 			isa = XCBuildConfiguration;
507 507
 			baseConfigurationReference = 417C02651BD8404E005A3751 /* Debug.xcconfig */;
508 508
 			buildSettings = {
509
-				CURRENT_PROJECT_VERSION = 1.3.1;
509
+				CURRENT_PROJECT_VERSION = 1.3.5;
510 510
 				DEPENDENCIES_DIR = "$(PROJECT_DIR)/../dependencies";
511 511
 				GCC_WARN_PEDANTIC = YES;
512 512
 			};
... ...
@@ -516,7 +516,7 @@
516 516
 			isa = XCBuildConfiguration;
517 517
 			baseConfigurationReference = 417C02681BD8404E005A3751 /* Release.xcconfig */;
518 518
 			buildSettings = {
519
-				CURRENT_PROJECT_VERSION = 1.3.1;
519
+				CURRENT_PROJECT_VERSION = 1.3.5;
520 520
 				DEPENDENCIES_DIR = "$(PROJECT_DIR)/../dependencies";
521 521
 				GCC_WARN_PEDANTIC = YES;
522 522
 			};
... ...
@@ -37,7 +37,7 @@
37 37
 //
38 38
 // community version is always even
39 39
 //
40
-#define MULLE_CONCURRENT_VERSION  ((1 << 20) | (3 << 8) | 3)
40
+#define MULLE_CONCURRENT_VERSION  ((1 << 20) | (3 << 8) | 5)
41 41
 
42 42
 #include <mulle_thread/mulle_thread.h>
43 43
 #include <mulle_allocator/mulle_allocator.h>